/*!
    \file   df_active_mode.h
    \author Bernd Ottmann
    \date   21.02.2003
    \brief  Deklarationen der Funktionen für den Active-Mode.
*/
#ifndef DF_ACTIVE_MODE_H
#define DF_ACTIVE_MODE_H

#include "df_defines.h"

#if (DF_API_VERSION >= 0x04010500)
DF_API_EXTERN int DF_API_CALL DFCStartActiveConnection( char *networkAddress, int listenPort, int deviceAddress, int timeout, int aliveTimeout, int maxConnections, int infoFlags, int unused_setTo0, int *errorNumber );
DF_API_EXTERN int DF_API_CALL DFCStopActiveConnection( int *errorNumber );
DF_API_EXTERN int DF_API_CALL DFCGetFirstActiveConnectionId();
DF_API_EXTERN int DF_API_CALL DFCGetFirstActiveChannelID();
DF_API_EXTERN int DF_API_CALL DFCGetNextActiveConnectionId( int previousId );
DF_API_EXTERN int DF_API_CALL DFCGetNextActiveChannelID( int previousId );
DF_API_EXTERN int DF_API_CALL DFCGetInfoActiveChannel(int connectionId, char *value, int *valueLength );
DF_API_EXTERN int DF_API_CALL DFCSetRecordAvailable( int enabled );
DF_API_EXTERN int DF_API_CALL DFCRecordAvailable( int *connectionId, int *deviceAddress, char *infoText, int *infoTextLength, int *errorNumber );
DF_API_EXTERN int DF_API_CALL DFCBindDeviceToChannel( int connectionId, int deviceType, int deviceSerial, char *deviceIp, int *errorNumber );
#endif

#endif
