/*###########################################################*/
/** \file aescryptsession.cpp

Autor                 : Bernd Ottmann             01/2012  @n

In aescryptsession.cpp sind alle Routinen fuer das Verwalten einer
verschluesselten Verbindung enthalten.
*/  
/*###########################################################*/

#include "aescryptsession.h"

/*###########################################################*/
// Variablendeklaration
/*###########################################################*/


/*###########################################################*/
//  FUNKTION:	  Encrypt
/** Verschluesselung von Nutzdaten

Autor                 : Bernd Ottmann             @n
Erstellt am           : 09.01.2012                @n
Letzte Aenderung vom  : 09.01.2012                @n

@param[in/out] data Zeiger auf zu verschluesselnde Daten
@param[in] raw_size Anzahl der zu verschluesselnden Datenbytes

@return Anzahl verschluesselter Datenbytes

@b AUFGABE:    Erstellt einen verschluesselten Datenblock. Zusaetzlich:
- Erweiterung des letzten letzten Nutzdatenblocks auf 16 Byte
- Berechnung CRC Checksumme und anfuegen als letzten Bytewert
- Fuegt die Anzahl Nutzdaten als vorletzten Wert an.
- Verknuepfung mit IV Vektor
- Verschluesselung der Datenbloecke
@b KOMMENTARE:

@b AENDERUNG:

@b LAUFZEIT : 

@b TEST :     20.01.2012 Bernd Ottmann Funktion fehlerfrei @n
*/  
/*###########################################################*/

